System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationSection

This class corresponds to the WebRequestModules Element (Network Settings) configuration element.

This class is used to access information about modules registered to create requests made with the and classes.

This class provides programmatic access to information that can be stored in configuration files.

Represents the configuration section for Web request modules. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void

  This method initializes a to the default values shipped with the .NET Framework.

  Initializes the current instance to its default values.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added.

  The collection contains one element, which corresponds to the property.

  Gets the collection of properties for the current instance.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("", Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.Net.Configuration.WebRequestModuleElementCollection To be added.

  The returned by this property contains one for each Web request module in the configuration file.

  Gets the collection of Web request modules in the section.